<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");

class comentario extends elemento{
	
	function comentario() { }
    
   	function guardar($id=""){
   		parent::guardar($id);
   	}
    
	function editar($id=""){

        $db= new dbElemento;
		$linha=@$db->getLinha($this->tipo, $id);
        
		$f= new form($id, $linha , $this->req);
		$f->toolbars();
		$f->titulo("",1);
		$f->campoTexto("Nome","nome" );
		$f->campoTexto("Url","url" );
		$f->campoAreaTexto("Comentário","comentario" );
		$f->campoValor("idConteudo",$linha['idConteudo'] );
		$f->campoValor("data",$linha['data'] );
		if($linha['dataResposta'])
			$f->campoValor("dataResposta",$linha['dataResposta'] );
		else $f->campoValor("dataResposta",date("Y-m-d h:i") );
		$f->campoAreaTexto("Resposta","resposta" );
		$f->labelBR("Tipo categoria",$linha['tipoEstrangeiro']);
		
		$linhaTipoEstrangeiro = @$db->getLinha($linha['tipoEstrangeiro'], $linha['idEstrangeiro']);
		$f->label("Título categoria",$linhaTipoEstrangeiro['titulo']);
		$f->mostra();
	}
	
	function listar(){
		
        $campos=array("Nr"=>"id", "Nome"=>"nome","Data"=>"data","Comentário"=>"comentario");
        
        $db= new dbElemento;
       
        $this->req['filtro']['idEstrangeiro'] = $this->req['idEstrangeiro'];
        $this->req['filtro']['tipoEstrangeiro'] = $this->req['tipoEstrangeiro'];
                
        $dados=$db->getLista($this->tipo, '', $campos , "data", 2 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
        
//        $tam=sizeof($dados);
//        if (empty($this->req['idEstrangeiro'])){
//        	for ($i=0;$i<$tam ;$i++){
//        		$linha=$db->getLinha("conteudo", array_pop($dados[$i]));
//        		$dados[$i]['conteudo'] = $linha['titulo'];
//        	}
//        	array_pop($campos);
//        	$campos['Conteudo']='conteudo';
//        } else { 
//            for ($i=0;$i<$tam ;$i++){
//        		array_pop($dados[$i]);       		
//        	}
//        	array_pop($campos);
//        }
        
        $f= new lista($campos, $dados, $this->req);
		//$f->toolbars();
		$toolbar= new toolbar(); 
		if ($_SESSION['authdata']['super']) $toolbar->botao2_l("Apagar", 50);
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->sep();
        $toolbar->data3("data_inicio", "data_fim", $this->req['data_inicio'], $this->req['data_fim']);
		$toolbar->sep();
		$toolbar->procurar($this->req['procurar']);   //mudar para campo
		$toolbar->botao_l("procurar", 90);
		$toolbar->fim();
		
		$f->titulo("Comentários");
		$f->cabecaSimples();
        $f->tabela(true);
		$f->mostra();

	}

}
?>
